import request from '@/utils/request'

export function getProduceTypePage(data) {
  return request({
    url: '/base-product-type/page',
    method: 'get',
    params: data
  })
}

export function getProduceTypeList(data) {
  return request({
    url: '/base-product-type/list',
    method: 'post',
    data: data
  })
}

export function getProduceTypeById(data) {
  return request({
    url: '/base-product-type/listById',
    method: 'post',
    data: data
  })
}

export function addProduceType(data) {
  return request({
    url: '/base-product-type/add',
    method: 'post',
    data: data
  })
}

export function editProduceType(data) {
  return request({
    url: '/base-product-type/edit',
    method: 'post',
    data: data
  })
}

export function delProduceType(data) {
  return request({
    url: '/base-product-type/delete',
    method: 'post',
    data: data
  })
}
